Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.parser
Interface ParserConstants

All Known Implementing Classes:
  Parser, ParserTokenManager

public interface ParserConstants

Field Summary
`final static int` | `AND`
`final static int` | `ASSIGNMENT`
`final static int` | `DECIMAL_LITERAL`
`final static int` | `DEFAULT`
`final static int` | `DIFF`
`final static int` | `DIGIT`
`final static int` | `DIV`
`final static int` | `EOF`
`final static int` | `EQ`
`final static int` | `EXPONENT`
`final static int` | `FLOATING_POINT_LITERAL`
`final static int` | `FUNCTION`
`final static int` | `GE`
`final static int` | `GT`
`final static int` | `IDENTIFIER`
`final static int` | `INTEGER_LITERAL`
`final static int` | `LE`
`final static int` | `LETTER`
`final static int` | `LT`
`final static int` | `MINUS`
`final static int` | `MUL`
`final static int` | `NE`
`final static int` | `NOT`
`final static int` | `OR`
`final static int` | `PIECEWISE`
`final static int` | `PLUS`
`final static int` | `POWER`
`final static int` | `STRING_LITERAL`
`final static String[]` | `tokenImage`
`final static int` | `XOR`

Field Detail

### AND

    public final static int AND

### ASSIGNMENT

    public final static int ASSIGNMENT

### DECIMAL_LITERAL

    public final static int DECIMAL_LITERAL

### DEFAULT

    public final static int DEFAULT

### DIFF

    public final static int DIFF

### DIGIT

    public final static int DIGIT

### DIV

    public final static int DIV

### EOF

    public final static int EOF

### EQ

    public final static int EQ

### EXPONENT

    public final static int EXPONENT

### FLOATING_POINT_LITERAL

    public final static int FLOATING_POINT_LITERAL

### FUNCTION

    public final static int FUNCTION

### GE

    public final static int GE

### GT

    public final static int GT

### IDENTIFIER

    public final static int IDENTIFIER

### INTEGER_LITERAL

    public final static int INTEGER_LITERAL

### LE

    public final static int LE

### LETTER

    public final static int LETTER

### LT

    public final static int LT

### MINUS

    public final static int MINUS

### MUL

    public final static int MUL

### NE

    public final static int NE

### NOT

    public final static int NOT

### OR

    public final static int OR

### PIECEWISE

    public final static int PIECEWISE

### PLUS

    public final static int PLUS

### POWER

    public final static int POWER

### STRING_LITERAL

    public final static int STRING_LITERAL

### tokenImage

    public final static String[] tokenImage

### XOR

    public final static int XOR

Association Links

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM